alias_of:
  link: artist/5780
  names:
    en: Mark Knight
    ja: Mark Knight
birthdate: '1973-01-08'
birthplace: Brighton, United Kingdom
discography:
- catalog: TDK-001
  date: '2011-04-12'
  link: album/25648
  reprint: false
  roles:
  - Performer
  titles:
    en: Quirky (FortressCraft)
    ja: Quirky (FortressCraft)
    ja-latn: Quirky (FortressCraft)
  type: game
- catalog: TDK-002
  date: '2011-04-12'
  link: album/25647
  reprint: false
  roles:
  - Performer
  titles:
    en: CyberSpeed Unleashed
    ja: CyberSpeed Unleashed
    ja-latn: CyberSpeed Unleashed
  type: game
- catalog: N/A
  date: '2019-03-21'
  link: album/93569
  reprint: false
  roles:
  - Arranger
  titles:
    en: Rob Hubbard Remixed
    ja: Rob Hubbard Remixed
    ja-latn: Rob Hubbard Remixed
  type: bonus
featured_on: []
info:
  Birthdate: Jan 8, 1973
  Birthplace: Brighton, United Kingdom
  Credited works: 3 albums in database
  Credits:
  - 2 performer
  - 1 arranger
link: artist/57205
meta:
  added_date: 2023-05-16T20:34
  edited_date: 2023-05-16T20:34
  fetched_date: 2025-11-16T00:53
  ttl: 86400
  visitors: 229
name: Mark 'TDK' Knight
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/08/5780/5780-1234640566.jpg
picture_small: https://thumb-media.vgm.io/artists/08/5780/5780-1234640566.jpg
sex: male
twitter_names:
- TDK_Chiptune
type: Alias
vgmdb_link: https://vgmdb.net/artist/57205?perpage=99999
websites: {}
